use strict;
use warnings;

use List::Util qw/shuffle/;

srand(92394780);

sub U($) { "U$_[0]" }
sub D($) { "D$_[0]" }
sub L($) { "L$_[0]" }
sub R($) { "R$_[0]" }
sub UDLR { (qw(U D L R)[rand(4)]) . $_[0] }
sub LR { (qw(L R)[rand(2)]) . $_[0] }
sub UD { (qw(U D)[rand(2)]) . $_[0] }

my @r = (
  [ L 99, R 100 ], [10000, 0, 10080, 0],
  [ U 1, R 2 ], [ 1, 1, 3, 2 ],
  [ shuffle (map { LR int(rand(100)) } 1..100) ], [ -100100, 0, -100000, 0 ],
  [ R 2, D 2 ], [ 0, -50, 50, 0 ],
  [ R 1 ], [ 0, -50, 50, 0 ],
  [ shuffle ((map { R 1 } 1..50), (map { U 1 } 1..50)) ], [ 10000, 10000, 10100, 10100 ],
  [ L 1 ], [ 0, -50, 50, 0 ],
  [ (map { U 3, R 1, D 1, L 1 } 1..3), R 2 ], [ -10, 10, 20, 40 ],
  [ R 3 ], [ 0, -50, 50, 0 ],
  [ shuffle (map { UDLR 1+int(rand(10)) } 1..100) ], [0, 0, 100, 100],
  [ L 3 ], [ -50, -50, 50, 0 ],
  [ L 1, R 2 ], [ 100, -10, 200, 10 ],
  [ shuffle (map { UDLR 1+int(rand(100)) } 1..100) ], [0, 0, 100, 100],
  [ U 1 ], [ 0, -50, 50, 0 ],
  [ shuffle (map { UD int(rand(100)) } 1..100) ], [ -10, -100100, 90, -100000 ],
  [ U 3 ], [ 0, -50, 50, 50 ],
  [ D 3 ], [ 0, -50, 50, 0 ],
  [ (map { UDLR 1} 1..100) ], [0, 0, 100, 100],
  [ shuffle (map { UDLR 1+int(rand(10)) } 1..100) ], [-50, -50, 50, 50],
  [ shuffle (map { UDLR 1+int(rand(100)) } 1..100) ], [-50, -50, 50, 50],
);

open STDOUT, '>input.txt';
print join "\n", @r / 2, map { join ' ', @$_ } @r;
